View Issue Details

IDProjectCategoryView StatusLast Update
0008888MediaMonkey (current)Install/Configpublic2012-01-03 23:31
Reporterlowlander 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0.1 
Target Version4.0.3Fixed in Version4.0.3 
Summary0008888: File Associations on install
Description1) When installing MediaMonkey during the installer MediaMonkey associates itself with any file types with no default program (good as for most users this is desirable, bad as some power users might not want to have any associations).

2a) If user Cancels first run config wizard no file associations are set (good), even opening and canceling options or restarting MediaMonkey will still not set file associations (good), but the options does show MediaMonkey as being associated with many file types (bad and not true).

2b) If user opens options and OKs options MediaMonkey is now associated with many file types (bad as user didn't set any).

2c) If user cancels Config Wizard all file associations (and other OS Integrations) should remain disable in the options so user doesn't inadvertently override current file associations (negative user experience). Depending on solution of issue 1 only associations with file types who have no association would remain after canceling the wizard.
TagsNo tags attached.
Fixed in build1463

Relationships

related to 0008886 resolvedLudek Welcome Config Wizard not shown if user disables Launch MediaMonkey in installer 

Activities

jiri

2011-12-28 16:50

administrator   ~0029655

2a) should definitely be fixed for MM 4.0.3 (2b&c seem to be just consequences).

1) Doesn't seem to be a problem.

Ludek

2011-12-29 15:08

developer   ~0029665

Fixed in build 1600 and merged into 1463.

peke

2012-01-03 23:31

developer   ~0029719

Verified 1463